<!--
  Please use Markdown syntax throughout the report for improved clarity.
  https://guides.github.com/features/mastering-markdown/
-->

## Basic information

* nrich version:
  <!-- released version or snapshot version -->
* Module:
  <!-- Please, include name(s) of relevant nrich's module(s). If not related to any specific module, specify "project" instead. -->

## Additional information

<!-- Please, include any additional information that could be relevant (e.g. Java, Gradle/Maven, OS version). -->

## Description

### Summary

<!--- Please, provide a short summary of your changes. -->

### Details

<!--- Please, describe your changes in detail. -->

### Related issue

<!--
  If there is a related issue, please provide a reference to it.
  If the related issue does not exist, please consider creating one.
-->

## Types of changes

<!--- What types of changes does your code introduce? Please, remove all points that do not apply. -->

- Bug fix (non-breaking change which fixes an issue)
- Enhancement (non-breaking change which enhances existing functionality)
- New feature (non-breaking change which adds functionality)
- Breaking change (fix, enhancement or feature that would cause existing functionality to change in backward-incompatible way)
- Docs change
- Refactoring
- Dependency upgrade

## Checklist

<!---
  Please, go over all the following points, and put an "x" in all the boxes that apply.

  If a point is out of scope (e.g. a change in gradle build scripts is not required to be covered with tests),
  please remove that box, strike trough the sentence describing the point and add a short description
  as to why that point is out of scope.
  e.g.
  - ~~I have added tests to cover my changes~~ (not needed as there are only changes to build files)
-->

- [ ] I have read the project's **CONTRIBUTING** document
- [ ] I have checked my code with the project's static analysis tooling
- [ ] I have formatted my code with the project's IDEA code-style configuration
- [ ] I have checked my code for misspellings
- [ ] I have organized my changes in easy-to-follow commits
- [ ] My change requires a change to the documentation
- [ ] I have updated the documentation accordingly
- [ ] I have added tests to cover my changes
- [ ] All new and existing tests pass.
